Inbound
List inbound messages
GET
Requires the inbound:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
contactId?stringquery?stringlimit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/inbound-messages' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "status": "string", "contactId": "string", "inboundAddressId": "string", "fromAddress": "string", "toAddress": "string", "originalRecipient": "string", "subject": "string", "messageId": "string", "inReplyTo": "string", "references": [ "string" ], "inReplyToDeliveryId": "string", "inReplyToInboundMessageId": "string", "threadRootId": "string", "threadRootType": "delivery", "spamVerdict": "string", "virusVerdict": "string", "dmarcVerdict": "string", "isAutoReply": true, "receivedAt": "2019-08-24T14:15:22Z", "parsedAt": "2019-08-24T14:15:22Z", "storageExpiresAt": "2019-08-24T14:15:22Z", "bodyText": "string", "bodyHtml": "string", "bodyTextStripped": "string", "bodyHtmlStripped": "string", "attachments": [ { "id": "string", "filename": "string", "contentType": "string", "size": 0 } ] } ], "total": 0, "limit": 0, "offset": 0}